Tickets
One ticket with its replies
GET
Permission: support.view; IP addresses only to their author or with activity.view
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
ticket_id*Ticket IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/tickets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "department_id": "094fb5f1-8160-46ea-8cec-010c4b44e054", "subject": "string", "status": "string", "priority": "string", "last_reply_at": "2019-08-24T14:15:22Z", "last_reply_by": "a3d863d8-2add-4786-afc5-ab3c61f0e933", "ip_address": null, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "replies": [] }}